/**
*Online Users App
* Implementing an App to manage online users.
*/
var OnlineUsersApp = OnlineUsersApp || {};  //Define Online Users App namespace.
/**
*Constructor UNAS App
*/
OnlineUsersApp.App = function () {
    this.id = 'Online Users';
    this.name = 'Online Users';
    this.version= '6.0.4';
    this.active = false;
    this.menuIcon = '/apps/onlineusers/images/logo.png?v=6.0.4&';
    this.shortcutIcon = '/apps/onlineusers/images/logo.png?v=6.0.4&';
    this.entryUrl = '/apps/onlineusers/onlineusers.html?v=6.0.4&';
    //this.entryHelpUrl = '/apps/onlineusers/onlineusers_help.html?v=6.0.4&'
    var self = this;
    this.OnlineUsersAppWindow = function () {
        if(UNAS.CheckAppState('Online Users')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'OnlineUsersAppWindow',
            title: UNAS._('Online Users'),
            icon: '/apps/onlineusers/images/logo_small.png?v=6.0.4&',
            width: 880,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            contentURL: '/apps/onlineusers/onlineusers.html?v=6.0.4&',
            require: {  css: ['/apps/onlineusers/css/onlineusers.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Online Users",'OnlineUsersAppWindow')}
        });
    };
    this.OnlineUsersUninstall = function (){
        UNAS.RemoveDesktopShortcut('Online Users');
        UNAS.RemoveMenu('Online Users');
        UNAS.RemoveAppFromGroups('Online Users', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Online Users', 'Help');
        UNAS.RemoveAppFromApps('Online Users');
    };
    new UNAS.Menu('UNAS_ControlPanel_Information_Menu', this.name, this.menuIcon, 'Online Users', '', this.OnlineUsersAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Online Users', this.OnlineUsersAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Information', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Information', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Online Users', UNAS._('Online Users')); //translate menu
        //UNAS.SetShortcutTitle('Online Users', UNAS._('Online Users'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('OnlineUsersAppWindow', UNAS._('Online Users'));
        }
    };
    UNAS.LoadTranslation('/apps/onlineusers/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.OnlineUsersAppWindow, this.OnlineUsersUninstall);
};

new OnlineUsersApp.App();
